Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.jws
Class SoapFaultException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.bea.jws.SoapFaultException

All Implemented Interfaces:
  Serializable

    public class SoapFaultException

extends RuntimeException

The SoapFaultException is a wrapper exception that enables the web service developer to generate a specific SOAP fault.

See Also:
  `SoapFault`, Serialized Form

Field Summary
`static int` | `FAULT_SOAP11`
`static int` | `FAULT_SOAP12`
`static int` | `FAULT_UNKNOWN`

Constructor Summary
`SoapFaultException(org.apache.xmlbeans.XmlObject xmlObj)` User wants to own the shape of the fault.
`SoapFaultException(org.apache.xmlbeans.XmlObject[] detailContent)` Assumes the user just wants to generate the fault document defined in the WSDL for the current operation.
`SoapFaultException(org.apache.xmlbeans.XmlObject detailContent, String s)` Deprecated.

Method Summary
`org.apache.xmlbeans.XmlObject[]` | `getDetail()`
`org.apache.xmlbeans.XmlObject` | `getFault()`
`boolean` | `hasDetail()`
`boolean` | `hasFault()`
`boolean` | `isCausedBySender()`
`void` | `setCausedBySender(boolean senderIsCause)` Settes the code in the SoapFault: for Soap 1.2 Sender/Receiver, for Soap 1.1 Client/Server
`int` | `soapFaultVersion()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### FAULT_UNKNOWN

    public static final int FAULT_UNKNOWN

See Also:
  Constant Field Values

### FAULT_SOAP11

    public static final int FAULT_SOAP11

See Also:
  Constant Field Values

### FAULT_SOAP12

    public static final int FAULT_SOAP12

See Also:
  Constant Field Values

Constructor Detail

### SoapFaultException

    public SoapFaultException(org.apache.xmlbeans.XmlObject detailContent,
                              String s)

  Deprecated.

  Assumes the user just wants to generate the fault document defined in the WSDL for the current operation. This form defaults to server/receiver as the cause.

  Parameters:
    `detailContent` - - only the content of Details element (can contain attributes and elements)

### SoapFaultException

    public SoapFaultException(org.apache.xmlbeans.XmlObject[] detailContent)

  Assumes the user just wants to generate the fault document defined in the WSDL for the current operation. This form defaults to server/receiver as the cause.

  Parameters:
    `detailContent` -

### SoapFaultException

    public SoapFaultException(org.apache.xmlbeans.XmlObject xmlObj)

  User wants to own the shape of the fault. The user has to know which version of the envelop to use.

  Parameters:
    `xmlObj` - the entire Fault XmlBean if it's org.xmlsoap.schemas.soap.envelope.Fault or org.apache.xmlbeans.wsschema.soap12Env.Fault or xmlObj reprezents the details to be put inside the fault
  See Also:
    ````

Method Detail

### hasDetail

    public boolean hasDetail()

  Returns:
    whether the fault contains detail

### hasFault

    public boolean hasFault()

  Returns:
    whether this holds a fault

### getDetail

    public org.apache.xmlbeans.XmlObject[] getDetail()

  Returns:
    detail

### isCausedBySender

    public boolean isCausedBySender()

  Returns:
    senderIsCause

### getFault

    public org.apache.xmlbeans.XmlObject getFault()

  Returns:
    fault

### soapFaultVersion

    public int soapFaultVersion()

  Returns:
    soapFaultVersion

### setCausedBySender

    public void setCausedBySender(boolean senderIsCause)

  Settes the code in the SoapFault: for Soap 1.2 Sender/Receiver, for Soap 1.1 Client/Server

  Parameters:
    `senderIsCause` - if true: Sender (Client for Soap 1.1) else: Receiver (Server for Soap 1.1)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD